int write(int fd, void *buf, uint32 count)

## Method Description

This function basically acts as its standard equivalent, except that it caches the data so as to improve performances.

fd is a file descriptor corresponding to an already opened file. This must be a descriptor returned by the library functions, and not by the standard ones.

buf is a buffer provided by the user. It should contain the data to write.

count is the maximum number of bytes this function should try to write.

The number of bytes written is returned.
On error, -1 is returned and error() will return the corresponding error code.

## See also :

Reads from an "opened" file descriptor. Does caching.
int read(int fd, void *buf, uint32 count)

Flush forces a write of all buffered data for the given fd
int flush(int fd)

Copyright © Nicolas Brodu, 1999 - 2000